/******************************************************************************
*	File		-	component_guis.h
*	Author		-	Joey Pollack
*	Date		-	2022/06/01 (y/m/d)
*	Mod Date	-	2022/06/01 (y/m/d)
*	Description	-	Functions to render component editing GUIs
******************************************************************************/

#ifndef LUNARIUM_COMPONENT_GUIS_H_
#define LUNARIUM_COMPONENT_GUIS_H_

#include <world/components.h>

namespace lunarium { namespace editor 
{
    class CompGui
    {
    public:
        static bool RenderTagComp(TagComponent& comp);
        static bool RenderTransformComp(TransformComponent& comp);
        static bool RenderVelocityComp(VelocityComponent& comp);
        static bool RenderCameraComp(CameraComponent& comp);
        static bool RenderBlockOutComp(BlockOutComponent& comp);
        static bool RenderSpriteRendererComp(SpriteRendererComponent& comp);
        static bool RenderScriptComp(ScriptComponent& comp);
        static bool RenderRigidBodyComp(RigidBodyComponent& comp);
        static bool RenderCollisionComp(CollisionComponent& comp);
    };
}}


#endif  // LUNARIUM_COMPONENT_GUIS_H_